Loading...
Searching...
No Matches
c_begin.c File Reference

Cluster library - Begin clusterring. More...

`#include <stdlib.h>`
`#include <grass/glocale.h>`
`#include <grass/cluster.h>`
Include dependency graph for c_begin.c:

Go to the source code of this file.

## Functions

int | I_cluster_begin (struct Cluster *C, int nbands)
| Initialize the cluster routines for nbands.

## Detailed Description

Cluster library - Begin clusterring.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file c_begin.c.

## Function Documentation

## I_cluster_begin()

int I_cluster_begin | ( | struct Cluster * | C,
|  | int | nbands )

Initialize the cluster routines for nbands.

Parameters

  C | pointer to Cluster structure
  nbands | number of bands

Returns
  0 ok
  -1 out of memory
  1 illegal number of bands

Definition at line 28 of file c_begin.c.

References NULL.